Get endpoint by id
Get endpoint by id
curl --request GET \
--url https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/gen-ai/beta/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2022-03-12T02:13:44.467Z",
"creator": {
"id": "integration test",
"name": "Full User Name"
},
"generalAccess": "Restricted",
"id": "62313ce67a0af0281c01a6a5",
"name": "My Endpoint",
"project": {
"id": "62313ce67a0af0281c01a6a5",
"name": "My Project",
"owner": {
"id": "integration test",
"name": "Full User Name"
}
},
"updatedAt": "2022-03-12T02:13:44.467Z",
"url": "https://cloud-dogfood.domino.tech/endpoint/my-endpoint",
"vanityUrl": "https://cloud-dogfood.domino.tech/endpoints/my-endpoint",
"currentVersion": {
"configuration": {
"maxNumberOfSequences": 256,
"servedModelName": "my-model",
"tensorParallelism": 1,
"vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
},
"createdAt": "2022-03-12T02:13:44.467Z",
"creator": {
"id": "integration test",
"name": "Full User Name"
},
"endpointId": "62313ce67a0af0281c01a6a5",
"environment": {
"id": "62313ce67a0af0281c01a6a5",
"name": "My Environment",
"revisionId": "62313ce67a0af0281c01a6a5"
},
"hardwareTier": {
"dataPlaneId": "62313ce67a0af0281c01a6a5",
"dataPlaneName": "My Data Plane",
"id": "62313ce67a0af0281c01a6a5"
},
"modelSource": {
"huggingFace": {
"commit": "62313ce67a0af0281c01a6a5",
"modelType": "LLM",
"path": "my-model",
"apiToken": "62313ce67a0af0281c01a6a5"
},
"registeredModel": {
"modelName": "RandomForestRegression",
"modelVersion": 1
}
},
"modelType": "LLM",
"number": 1,
"status": "Building",
"description": "My Endpoint Version Description",
"executionId": "62313ce67a0af0281c01a6a5",
"label": 1
},
"description": "My Endpoint Description",
"instructions": "Use the endpoint to generate text",
"requestCount": 100
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
The ID of the endpoint to get
Response
Success
The time the endpoint was created
"2022-03-12T02:13:44.467Z"
Show child attributes
Show child attributes
Restricted, Viewer, Consumer The ID of the endpoint
"62313ce67a0af0281c01a6a5"
The name of the endpoint
"My Endpoint"
Show child attributes
Show child attributes
The last time the endpoint was modified
"2022-03-12T02:13:44.467Z"
The URL of the endpoint
"https://cloud-dogfood.domino.tech/endpoint/my-endpoint"
The optional Vanity url for the Gen AI Endpoint. This will default to https://{domino-instance}/endpoints/{endpointName}
"https://cloud-dogfood.domino.tech/endpoints/my-endpoint"
Show child attributes
Show child attributes
The description of the endpoint
"My Endpoint Description"
The instructions for using the endpoint
"Use the endpoint to generate text"
The number of requests processed by the endpoint
100
Related topics
Get a user by IDGet the collaborators for a Gen AI EndpointGet a endpoint by nameGet a Gen AI Endpoint VersionWas this page helpful?
